<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IconMultiStateFormatting.IconSet (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IconMultiStateFormatting.IconSet (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IconMultiStateFormatting.IconSet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
               target="_top">Frames</a></li>
        <li><a href="IconMultiStateFormatting.IconSet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Enum IconMultiStateFormatting.IconSet" class="title">Enum IconMultiStateFormatting.IconSet</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a
                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.usermodel.IconMultiStateFormatting.IconSet</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                            title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Enclosing interface:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.html"
                           title="interface in org.apache.poi.ss.usermodel">IconMultiStateFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static enum <span class="typeNameLabel">IconMultiStateFormatting.IconSet</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                             title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GREY_3_ARROWS">GREY_3_ARROWS</a></span></code>
                                    <div class="block">Grey Up / Side / Down arrows</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GREY_4_ARROWS">GREY_4_ARROWS</a></span></code>
                                    <div class="block">Grey Up / NE / SE / Down arrows</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GREY_5_ARROWS">GREY_5_ARROWS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_ARROW">GYR_3_ARROW</a></span></code>
                                    <div class="block">Green Up / Yellow Side / Red Down arrows</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_FLAGS">GYR_3_FLAGS</a></span></code>
                                    <div class="block">Green / Yellow / Red flags</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_SHAPES">GYR_3_SHAPES</a></span></code>
                                    <div class="block">Green Circle / Yellow Triangle / Red Diamond.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_SYMBOLS">GYR_3_SYMBOLS</a></span></code>
                                    <div class="block">Green Tick / Yellow ! / Red Cross (no background)</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_SYMBOLS_CIRCLE">GYR_3_SYMBOLS_CIRCLE</a></span></code>
                                    <div class="block">Green Tick / Yellow ! / Red Cross on a circle background</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_TRAFFIC_LIGHTS">GYR_3_TRAFFIC_LIGHTS</a></span></code>
                                    <div class="block">Green / Yellow / Red traffic lights (no background).</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_3_TRAFFIC_LIGHTS_BOX">GYR_3_TRAFFIC_LIGHTS_BOX</a></span></code>
                                    <div class="block">Green / Yellow / Red traffic lights on a black square
                                        background.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYR_4_ARROWS">GYR_4_ARROWS</a></span></code>
                                    <div class="block">Green Up / Yellow NE / Yellow SE / Red Down arrows</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYRB_4_TRAFFIC_LIGHTS">GYRB_4_TRAFFIC_LIGHTS</a></span></code>
                                    <div class="block">Green / Yellow / Red / Black traffic lights</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#GYYYR_5_ARROWS">GYYYR_5_ARROWS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#QUARTERS_5">QUARTERS_5</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#RATINGS_4">RATINGS_4</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#RATINGS_5">RATINGS_5</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#RB_4_TRAFFIC_LIGHTS">RB_4_TRAFFIC_LIGHTS</a></span></code>
                                    <div class="block">Red / Light Red / Grey / Black traffic lights</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#DEFAULT_ICONSET">DEFAULT_ICONSET</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#id">id</a></span></code>
                                    <div class="block">Numeric ID of the icon set</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#name">name</a></span></code>
                                    <div class="block">Name (system) of the set</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#num">num</a></span></code>
                                    <div class="block">How many icons in the set</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#byId-int-">byId</a></span>(int&nbsp;id)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#byName-java.lang.String-">byName</a></span>(java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="GYR_3_ARROW">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_ARROW</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_ARROW</pre>
                                <div class="block">Green Up / Yellow Side / Red Down arrows</div>
                            </li>
                        </ul>
                        <a name="GREY_3_ARROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GREY_3_ARROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GREY_3_ARROWS</pre>
                                <div class="block">Grey Up / Side / Down arrows</div>
                            </li>
                        </ul>
                        <a name="GYR_3_FLAGS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_FLAGS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_FLAGS</pre>
                                <div class="block">Green / Yellow / Red flags</div>
                            </li>
                        </ul>
                        <a name="GYR_3_TRAFFIC_LIGHTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_TRAFFIC_LIGHTS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_TRAFFIC_LIGHTS</pre>
                                <div class="block">Green / Yellow / Red traffic lights (no background). Default</div>
                            </li>
                        </ul>
                        <a name="GYR_3_TRAFFIC_LIGHTS_BOX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_TRAFFIC_LIGHTS_BOX</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_TRAFFIC_LIGHTS_BOX</pre>
                                <div class="block">Green / Yellow / Red traffic lights on a black square background.
                                    Note, MS-XLS docs v20141018 say this is id=5 but seems to be id=4
                                </div>
                            </li>
                        </ul>
                        <a name="GYR_3_SHAPES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_SHAPES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_SHAPES</pre>
                                <div class="block">Green Circle / Yellow Triangle / Red Diamond.
                                    Note, MS-XLS docs v20141018 say this is id=4 but seems to be id=5
                                </div>
                            </li>
                        </ul>
                        <a name="GYR_3_SYMBOLS_CIRCLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_SYMBOLS_CIRCLE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_SYMBOLS_CIRCLE</pre>
                                <div class="block">Green Tick / Yellow ! / Red Cross on a circle background</div>
                            </li>
                        </ul>
                        <a name="GYR_3_SYMBOLS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_3_SYMBOLS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_3_SYMBOLS</pre>
                                <div class="block">Green Tick / Yellow ! / Red Cross (no background)</div>
                            </li>
                        </ul>
                        <a name="GYR_4_ARROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYR_4_ARROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYR_4_ARROWS</pre>
                                <div class="block">Green Up / Yellow NE / Yellow SE / Red Down arrows</div>
                            </li>
                        </ul>
                        <a name="GREY_4_ARROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GREY_4_ARROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GREY_4_ARROWS</pre>
                                <div class="block">Grey Up / NE / SE / Down arrows</div>
                            </li>
                        </ul>
                        <a name="RB_4_TRAFFIC_LIGHTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RB_4_TRAFFIC_LIGHTS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> RB_4_TRAFFIC_LIGHTS</pre>
                                <div class="block">Red / Light Red / Grey / Black traffic lights</div>
                            </li>
                        </ul>
                        <a name="RATINGS_4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RATINGS_4</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> RATINGS_4</pre>
                            </li>
                        </ul>
                        <a name="GYRB_4_TRAFFIC_LIGHTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYRB_4_TRAFFIC_LIGHTS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYRB_4_TRAFFIC_LIGHTS</pre>
                                <div class="block">Green / Yellow / Red / Black traffic lights</div>
                            </li>
                        </ul>
                        <a name="GYYYR_5_ARROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GYYYR_5_ARROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GYYYR_5_ARROWS</pre>
                            </li>
                        </ul>
                        <a name="GREY_5_ARROWS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GREY_5_ARROWS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> GREY_5_ARROWS</pre>
                            </li>
                        </ul>
                        <a name="RATINGS_5">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RATINGS_5</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> RATINGS_5</pre>
                            </li>
                        </ul>
                        <a name="QUARTERS_5">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>QUARTERS_5</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> QUARTERS_5</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_ICONSET">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_ICONSET</h4>
                                <pre>protected static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a> DEFAULT_ICONSET</pre>
                            </li>
                        </ul>
                        <a name="id">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>id</h4>
                                <pre>public final&nbsp;int id</pre>
                                <div class="block">Numeric ID of the icon set</div>
                            </li>
                        </ul>
                        <a name="num">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>num</h4>
                                <pre>public final&nbsp;int num</pre>
                                <div class="block">How many icons in the set</div>
                            </li>
                        </ul>
                        <a name="name">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>name</h4>
                                <pre>public final&nbsp;java.lang.String name</pre>
                                <div class="block">Name (system) of the set</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (IconMultiStateFormatting.IconSet c : IconMultiStateFormatting.IconSet.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Enum&lt;<a
                                            href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                            title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="byId-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>byId</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;byId(int&nbsp;id)</pre>
                            </li>
                        </ul>
                        <a name="byName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>byName</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                                        title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a>&nbsp;byName(java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IconMultiStateFormatting.IconSet.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
               target="_top">Frames</a></li>
        <li><a href="IconMultiStateFormatting.IconSet.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
